#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    food600
#DEF <PRIMARYKEY> idriadok
#DEF <TABLENAME> sklad

#[ CREATE TABLE ZACATEK ]#
    c_stredisk integer NOT NULL DEFAULT 0,
    c_karty integer NOT NULL DEFAULT (0)::integer,
    zustatek numeric(20,10) NOT NULL DEFAULT (0),
    cena_prum numeric(20,10) NOT NULL DEFAULT (0),
    max_zaso numeric(20,10) NOT NULL DEFAULT (0),
    min_zaso numeric(20,10) NOT NULL DEFAULT (0),
    rezervace numeric(20,10) NOT NULL DEFAULT (0),
    c_mena smallint NOT NULL DEFAULT 0,
    vycisleni character(1) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    c_data smallint NOT NULL DEFAULT 1,
    idriadok SERIAL,
    zmena timestamp without time zone NOT NULL DEFAULT now(),
    CONSTRAINT sklad_ck_cs UNIQUE (c_stredisk, c_karty),
    CONSTRAINT <TABLENAME>_<PRIMARYKEY> PRIMARY KEY (<PRIMARYKEY>)
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#

DROP INDEX IF EXISTS <SCHEMA>.c_karty2;
CREATE INDEX c_karty2
    ON <SCHEMA>.sklad USING btree
    (c_karty ASC NULLS LAST)
    TABLESPACE pg_default;

DROP INDEX IF EXISTS <SCHEMA>.sklad_c_data;
CREATE INDEX sklad_c_data
    ON <SCHEMA>.sklad USING btree
    (c_data ASC NULLS LAST)
    TABLESPACE pg_default;

DROP INDEX IF EXISTS <SCHEMA>.sklad_cstredisk;
CREATE INDEX sklad_cstredisk
    ON <SCHEMA>.sklad USING btree
    (c_stredisk ASC NULLS LAST)
    TABLESPACE pg_default;

DROP INDEX IF EXISTS <SCHEMA>.sklad_idriadok2;
CREATE INDEX sklad_idriadok2
    ON <SCHEMA>.sklad USING btree
    (idriadok ASC NULLS LAST)
    TABLESPACE pg_default;

END IF;

#[ KONEC SOUBORU ]#